Subject: Re: your mail

From: Zheng Gengbin <[email-masked]>
Date: Sat, 7 Dec 1996 10:44:04 +0800 (EAT)

On Fri, 6 Dec 1996, Guansong Zhang wrote:

> Could you please tell me what this line is used for in configure.in?
> 
> AC_CHECK_PROG(MKTMP,mktemp,mktemp,echo \${outputfile}\$no)
> 

	Some machine like HP have command mktemp tp create a temperary file . 
This line is to check if mktemp exists , otherwise  I have to generate the 
temp file by outputfile name . Also by fpp:fpp.in in the AC_OUTPUT , fpp 
is create in the real src dir where all the obj files located ( When we 
use VPATH feature ) . fpp is created machine-dependently in 
SRCDIR/src/hpf2dep  , which is defined in configure time , so hpf2dep can 
locate the fpp corectly . You may note that  SRCDIR is not the same as the 
top_srcdir when use VPATH .

Zheng